×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 22

Thread: PyS60

  1. #1
    Registered User
    Join Date
    Sep 2008
    Posts
    3

    PyS60

    Hello ,

    I am new to the mobile application ,So that First i tried to execute a program in nokia emulator,but i got the error as ImportError: No module named appuifw how can i rectify this error.
    Please help in this issue.

  2. #2
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: PyS60

    Quote Originally Posted by divyareddy View Post
    Hello ,

    I am new to the mobile application ,So that First i tried to execute a program in nokia emulator,but i got the error as ImportError: No module named appuifw how can i rectify this error.
    Please help in this issue.
    hello divyareddy

    welcome to forum nokia Python dibo.

    Can you let the forum know how have you installed PyS60 in your sdk.

    Enjoy Pythoning

  3. #3
    Regular Contributor
    Join Date
    Jan 2009
    Location
    India
    Posts
    138

    Thumbs up Re: PyS60

    Quote Originally Posted by divyareddy View Post
    Hello ,

    I am new to the mobile application ,So that First i tried to execute a program in nokia emulator,but i got the error as ImportError: No module named appuifw how can i rectify this error.
    Please help in this issue.
    Hi Divyareddy,

    Please import appuifw module in your .py script it is must for use UI components.

    Please find a very simple python script for S60 Series.

    Download Script for you first program


    Hope this may be help for you.
    Pavan Pareta
    Sr. Software Engineer
    http://windows-mobile-dev.blogspot.com

  4. #4
    Registered User
    Join Date
    Sep 2008
    Posts
    3

    Re: PyS60

    Hello ,

    Thank u praveen,I alresdy imported appuifw in my program.

  5. #5
    Registered User
    Join Date
    Sep 2008
    Posts
    3

    Re: PyS60

    Hello,
    I already installed pyS60 in my pc

  6. #6
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: PyS60

    Quote Originally Posted by divyareddy View Post
    Hello,
    I already installed pyS60 in my pc
    hello divyareddy

    i asked you how you installed PyS60 in your sdk?? Moreover it will be great if you still answer some more questions like how you are testing your script and it will be great if you show us what you are testing.

    I feel you have some problems with installation of the PyS60 with sdk.

    Regards,

  7. #7
    Registered User
    Join Date
    Sep 2009
    Location
    Bogota
    Posts
    3

    Re: PyS60

    Hello, I´m a new member of the forum.

    I have problem to use import the library appuifw, when I run the problem I get the next mistake.

    ImportError: No module named appuifw .
    I´m using NetBeans IDE 6.5 to program, and I have already installed PythonForS60, it creates the folder at the address: C:\Archivos de programa\PythonForS60. I have read that I can open a console after I installed it, but I can’t, it doesn’t open.

    I download it from the webpage: https://garage.maemo.org/frs/?group_...elease_id=2763

    As you can see there are some links in pink, I have already downloaded them at my computer, and the only thing that I did, it was to install the program mentioned before.

    Please, tell me if I have to install other program.

    Please help me. It is import for me.

  8. #8
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: PyS60

    hello alenjendrovako

    i feel you are trying to run the Python code in the netbeans itself. Thats actually wrong as you are trying to run a Python for S60 code not a core Python code.

    And appuifw module is an module from Python for S60, so after you write your scipt just save it in the Python directory inside the sdk and then run it from the sdk.

    Hope you got my point.

    Regards

  9. #9
    Registered User
    Join Date
    Sep 2009
    Location
    Bogota
    Posts
    3

    Re: PyS60

    Hello gaba88, thanks for your help.

    I´m new in Python, but I know program.

    I read in other page that I can run python in NetBeans IDE 6.5, but I could not.

    Can you tell me which program I should download to programme in python? I have already download also Python 2.6.2, should I use it?.

    I installed S60 Developer Tools.

    Please, can you tell me the program that I should use, and the steps that I have to do for using the library appuifw.

    Thanks for your time.

  10. #10
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: PyS60

    hello alenjandravako

    i suggest you to go through this article at the wiki titled Introduction to PyS60.

    I think this will answer most of your queries.

  11. #11
    Registered User
    Join Date
    Sep 2009
    Location
    Bogota
    Posts
    3

    Re: PyS60

    Hello gaba88

    I have already read the page that you gave me. It is a very good page, but I have some questions.

    I did all the steps, step by step, but I am still with somproblems.

    I can’t open the console of PhytonForS60 1.9.7, I have to select the program that will use to open it, I selected the pythonw, it was at the list. I chose the right program, or I have to choose other?.

    On other hand, I can open the Emulator; it is the last step in the page that you gave me to install python. The problem is that I do not know where I have to write the code to program. I have to download another program to write it?

    I will appreciate if you can help me, I’m sorry to make a lot of questions.

  12. #12
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: PyS60

    Quote Originally Posted by alejandrovaco View Post
    Hello gaba88

    I have already read the page that you gave me. It is a very good page, but I have some questions.
    That good that you have gone through this article.

    Quote Originally Posted by alejandrovaco View Post
    I can’t open the console of PhytonForS60 1.9.7, I have to select the program that will use to open it, I selected the pythonw, it was at the list. I chose the right program, or I have to choose other?.

    On other hand, I can open the Emulator; it is the last step in the page that you gave me to install python. The problem is that I do not know where I have to write the code to program. I have to download another program to write it?
    Hmmm Ok let me try to solve your problems in simple steps:

    First Download Python Idle this is the editor where you need to write your programs.

    Second i am expecting that you have Python for S60 installed in your sdk. If not download the latest SDK binaries from Mamemo garage and install it in your S60 SDK.

    After that open a new python file in your Python idle GUI environment and write any simple script and save the file with an extension as .py at the appropriate Python directory in the sdk.

    Then start the sdk go to applications folder open the Python shell from there and run your script to see your first applications.

    hope this helps you

    Regards,

  13. #13
    Registered User
    Join Date
    Oct 2009
    Location
    Mexico
    Posts
    69

    Cool Re: PyS60

    Hello every body,

    I am searching about this error: ErrorImport.

    I installed apswitch signed on line on www.symbiansigned.com, my mobile S60 5th accepts the install and tellme: this is module not compatible for this device (appswitch is for 3rd but i was installed aplicattions for 3rd in my mobile and i dont have any problem), so i install anyway and when i will try;

    import appswitch
    # push application to BACKGROUND
    print appswitch.switch_to_bg(u"Menu")

    I got: ImportError: No module named appswitch

    I got the same error with envy module, any suggestions?

    Thanks in advance !!!
    Best Regards

    Eric.

  14. #14
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: PyS60

    hello chijartija

    it will be great if you tell the dibo what you PyS60 version i mean 1.4.x or 1.9.x you are using and with that what version of extension module you are using

    Regards,

  15. #15
    Registered User
    Join Date
    Oct 2009
    Location
    Mexico
    Posts
    69

    Cool Re: PyS60

    Thank you gaba88:

    Ok i am using the Python 1.9.7 and i am installing the appswitch103 and envy_3rd_1_0_2 (because the 1.0.4 got a certificate error).

    thanks for your fast reply.
    Best Regards

    Eric.

Similar Threads

  1. New to Python for S60 (PyS60)? Read this first!
    By croozeus in forum Nokia N9
    Replies: 2
    Last Post: 2008-10-17, 19:23
  2. Replies: 12
    Last Post: 2008-09-23, 06:08
  3. PyS60 Talks #2 : PyS60 Extensions
    By croozeus in forum Symbian
    Replies: 14
    Last Post: 2008-09-15, 14:23
  4. Pys60 Talks #1 : Vote for the time !
    By croozeus in forum Symbian
    Replies: 5
    Last Post: 2008-07-15, 09:09
  5. [Announce] Home to Pys60 Developers - croozeus.com
    By bogdan.galiceanu in forum Symbian
    Replies: 8
    Last Post: 2008-07-12, 19:31

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×